<?php
namespace Claromentis\Infocapture\UI;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_d3b2122e727b24e3029add" . "87aa541df6" => base64_decode("aW5mb2NhcHR1cmUv" . "VUkvYWxsX3JlcG9y" . "dHNfaWNvbi5odG1s"), "_b6994edb19ee8e38970b" . "e4ca846e333a" => base64_decode("YWxsX3JlcG9ydHNfbGlua3MudmlzaWJsZ" . "Q=="));
use TemplaterComponentTmpl;








class AllReportsIcon extends TemplaterComponentTmpl
{
    public function Show($attributes)
    {
        $args = array();
        $_7619e74fb7252ad8bb1e971cf69702f0 = new \HDProjectsList();
        $_7619e74fb7252ad8bb1e971cf69702f0->SetPermsChecking(HD_PERM_REPORTS);
        if ($_7619e74fb7252ad8bb1e971cf69702f0->GetCount() > 0) {
            $args[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b6994edb19ee8e38970be4ca846e33" . "3a"]] = 1;
        }
        $template = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d3b2122e727b24e3029add87aa5" . "41df6"];
        return $this->CallTemplater($template, $args);
    }
}